summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-08 06:57:34 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-08 06:57:34 +0000
commitec3bcffa11d82c133ba86c095dd93d0cd79115fe (patch)
tree0fada5adaecdd7c62ec687f56f5409c21b82dfb9 /dev-python
parent1bc15ae64b5672259525c9cc8488de3db2c4799e (diff)
downloadbaldeagleos-repo-ec3bcffa11d82c133ba86c095dd93d0cd79115fe.tar.gz
baldeagleos-repo-ec3bcffa11d82c133ba86c095dd93d0cd79115fe.tar.xz
baldeagleos-repo-ec3bcffa11d82c133ba86c095dd93d0cd79115fe.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aioquic/metadata.xml4
-rw-r--r--dev-python/apispec/Manifest3
-rw-r--r--dev-python/apispec/apispec-6.8.3.ebuild (renamed from dev-python/apispec/apispec-6.8.1.ebuild)17
-rw-r--r--dev-python/build/build-1.3.0.ebuild2
-rw-r--r--dev-python/clang/Manifest1
-rw-r--r--dev-python/clang/clang-22.0.0_pre20250907.ebuild53
-rw-r--r--dev-python/dbutils/Manifest2
-rw-r--r--dev-python/dbutils/dbutils-3.1.2.ebuild (renamed from dev-python/dbutils/dbutils-3.1.0.ebuild)2
-rw-r--r--dev-python/dnspython/Manifest2
-rw-r--r--dev-python/dnspython/dnspython-2.8.0.ebuild58
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.181.0.ebuild2
-rw-r--r--dev-python/greenlet/greenlet-3.2.4.ebuild2
-rw-r--r--dev-python/jsonschema-specifications/Manifest2
-rw-r--r--dev-python/jsonschema-specifications/jsonschema-specifications-2025.9.1.ebuild30
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild6
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-22.0.0_pre20250907.ebuild45
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.6.19.ebuild73
-rw-r--r--dev-python/moto/Manifest2
-rw-r--r--dev-python/moto/moto-5.1.12.ebuild114
-rw-r--r--dev-python/orderly-set/orderly-set-5.5.0.ebuild2
-rw-r--r--dev-python/pynvim/Manifest1
-rw-r--r--dev-python/pynvim/pynvim-0.6.0.ebuild43
-rw-r--r--dev-python/python-json-logger/Manifest1
-rw-r--r--dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild29
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2025.8.26.11.ebuild2
-rw-r--r--dev-python/uv/uv-0.8.6.ebuild2
31 files changed, 498 insertions, 29 deletions
diff --git a/dev-python/aioquic/metadata.xml b/dev-python/aioquic/metadata.xml
index b41bdab1c211..1e6fef9c3c26 100644
--- a/dev-python/aioquic/metadata.xml
+++ b/dev-python/aioquic/metadata.xml
@@ -2,6 +2,10 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
+ <email>dev@liguros.net</email>
+ <name>Development</name>
+ </maintainer>
+ <maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
diff --git a/dev-python/apispec/Manifest b/dev-python/apispec/Manifest
index c8640337e435..6b4f0c55663c 100644
--- a/dev-python/apispec/Manifest
+++ b/dev-python/apispec/Manifest
@@ -1,2 +1,3 @@
-DIST apispec-6.8.1.tar.gz 77050 BLAKE2B 394714c23721a18cf205c9f705bebbfa34d508d333e34cd89bab7e4fbd0f61d1427f55d94425135dbbd9a4b6eff1b313bea156ca29eccbc21865787e296ada6c SHA512 db6e92ce765ae8a7cb0dafe2b6bdcf47ff4849f7d11b344526640d3536ff5251b644bb49f9385dafea339eeb59072fc08094b309f4092080fcf9ec582071fc9d
DIST apispec-6.8.2.tar.gz 77148 BLAKE2B 20c2463c62e3faf2d893983845bd60370acc64abc8411cd7632f24f096eaa8586be14bfe0e312ee4cf9cc68b0e11991ddf261473851e75099a41b8dfd391579c SHA512 0422c20cacf55d909e965be29b0d61fe9e184f9e8331420a8b64a7337555097a0ff9e51f03ac84123565ac6594bd3fdf446ddf9786fcd790525961ce17ba60de
+DIST apispec-6.8.3.tar.gz 77480 BLAKE2B 401e314a62780c961f41368374ff4e679baf417fe8461ea28fb7c5006aaa73094ed8bd09487d6f31ac1c4d4b6d0551b3ef7a7b1b07ec396bbf9fc23bc4938819 SHA512 b4f453abcb5e973065c10d9e23412005aa05a663c6804b1fe989a98d03f173bcc5a67a9b96979faf4ae27b1c4fe02950ea9a793728ff6eec17421902958c304a
+DIST apispec-6.8.3.tar.gz.provenance 9393 BLAKE2B 4a503bfa60d11e59b26668166e2666f16f963b63bfd34e0a3fc9418b64a62c4f06f44af652244abea4ebc0ec1ff23f21fd5d10ac9042cebe8a0561effca44e68 SHA512 ef3df939016ac652e2ead36f802d27b85a7e1a3de58ce627c7e5c09dfb79a6cb0927df1b59e8ed6a0f2ac42576041206c8efd9064eca23f8f7eec261afe1242f
diff --git a/dev-python/apispec/apispec-6.8.1.ebuild b/dev-python/apispec/apispec-6.8.3.ebuild
index ceb90ff98bb0..5216293f786d 100644
--- a/dev-python/apispec/apispec-6.8.1.ebuild
+++ b/dev-python/apispec/apispec-6.8.3.ebuild
@@ -4,6 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=flit
+PYPI_VERIFY_REPO=https://github.com/marshmallow-code/apispec
PYTHON_COMPAT=( python3_{9,10,11,12,13} )
inherit distutils-r1 pypi
@@ -29,18 +30,14 @@ BDEPEND="
)
"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
distutils_enable_sphinx docs \
dev-python/sphinx-issues \
dev-python/sphinx-rtd-theme
-python_test() {
- local EPYTEST_DESELECT=(
- # requires unpackaged prance
- tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v2
- tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v3
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
+EPYTEST_DESELECT=(
+ # requires unpackaged prance
+ tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v2
+ tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v3
+)
diff --git a/dev-python/build/build-1.3.0.ebuild b/dev-python/build/build-1.3.0.ebuild
index 7ea6405aca5f..6b2dd4d69054 100644
--- a/dev-python/build/build-1.3.0.ebuild
+++ b/dev-python/build/build-1.3.0.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="test test-rust"
RESTRICT="!test? ( test )"
diff --git a/dev-python/clang/Manifest b/dev-python/clang/Manifest
index a4bbd921e419..f5d097498587 100644
--- a/dev-python/clang/Manifest
+++ b/dev-python/clang/Manifest
@@ -13,4 +13,5 @@ DIST llvm-project-20.1.8.src.tar.xz 147242952 BLAKE2B 7657ac0b26acc5affb1bfc91b9
DIST llvm-project-20.1.8.src.tar.xz.sig 566 BLAKE2B 85beedfcff1195a974fab2c667b9efd4b715b3480c1b44b1b887fe32c69f72aca0d3b8fb276c03b6cc5a866622f669047aeee5ccb976640b4008ccd31dce77a4 SHA512 d74369bdb4d1b82775161ea53c9c5f3a23ce810f4df5ff617123023f9d8ce720e7d6ecc9e17f8ebd39fd9e7a9de79560abdf2ffe73bcb907a43148d43665d619
DIST llvm-project-21.1.0.src.tar.xz 158971856 BLAKE2B ac8c3cc8d2c986abcaa523acc872b01311ec118a738654f9cc53a1d5fdba70ba10cfe829e23f3913557e460403ed6a2df81cb5e9a435c8e1ce08e7ead3511bf0 SHA512 1487dcdc041dd6cdcffa6cc95a565e18a9fce2a73215671e366a9601cecce6c8bf70065df5564de5998d1841c3d8d829a9fbd2cad72e3aab4db279e8885ff446
DIST llvm-project-21.1.0.src.tar.xz.sig 438 BLAKE2B c5731350bc7454867da18887628c0e87bf404589097034c7ddfffbeec277b900bd1fa49daabd41d4f8800a8ab76105bf7e910a99dd970819ab987373d4ed4ed9 SHA512 c3cd0a759e22a24f4307d8747b7986f966f4fa3c413092efc73ccca252476f1b59878dc65b444884515bcce3d3bfab902f585cc1d08e2aeb55aa8e588128aeb6
+DIST llvm-project-645dd324d1b7d028745c2a4045b69e745df2ae6a.tar.gz 247443586 BLAKE2B dd3229c32768e42fd2f311638f1e63f5503fabee3fa414bc3300313b36bbfa062d90900319e4fdbbafae17947537fba699fe5940e1b6553a2d9a716c0ce7b59c SHA512 659dc22e2fd1fd0bced13f941127797dc7703b8d810eeb7a0fc51cf55c274e69e2d6660867c191d5d90615ddee3a1faff7f7cd357ff2eb88d715762be50098c3
DIST llvm-project-d76bb2bb894a4641ed62447327b40a347a6ae883.tar.gz 245754836 BLAKE2B 487e6396f1b381743dfbbd13e8f55728f1f915c042c717433e498127ecdeb4405a67e998059f5eb1f84e851437b805ba9e9c0e390c61092c7ee336a801d6f342 SHA512 42e38f917357918e8d62d8893a1ba34b431cd8aabf924b89e5352013bb8984c10c0b2796fa9a725bab71e52f99216604b75606bde3b795d20082d97d0f7a82ad
diff --git a/dev-python/clang/clang-22.0.0_pre20250907.ebuild b/dev-python/clang/clang-22.0.0_pre20250907.ebuild
new file mode 100644
index 000000000000..4dd3bb26996f
--- /dev/null
+++ b/dev-python/clang/clang-22.0.0_pre20250907.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for llvm-core/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=llvm-core/clang-${PV}:*
+ !llvm-core/llvm:0[clang(-),python(-)]
+ !llvm-core/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ llvm-core/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/dbutils/Manifest b/dev-python/dbutils/Manifest
index 82064ab87135..184f40ade125 100644
--- a/dev-python/dbutils/Manifest
+++ b/dev-python/dbutils/Manifest
@@ -1,2 +1,2 @@
-DIST DBUtils-3.1.0.tar.gz 94672 BLAKE2B 296a1fad729d355c2607616e5a3fca2f0131ab6040d2424a15ed4583ee0e22697f5c806d3b3789f7d645bff30dbeca0c49b42a901047e1b8e39fb76143f6bccc SHA512 24ffa16524758c27a617a86afc2d41be0336a498afe88ea6021b9304ecbfa5c98f88221503713e662509ae2a4c36974fad9faea17047ffb2d8b4cd728b44735d
DIST dbutils-3.1.1.tar.gz 95821 BLAKE2B 12b8a334ab12b9bd599d20b60600289ec91e30762e7a33d17219e63924e209edd2ad7181a1fb23c2e1e1ff31a672f6a238e072a1bf9067c393844e2d9be51b37 SHA512 045339a7fea2dc99e689057cce39ac58ed5bc2bbf86b0c361571ca9d40a3b9eb689c9d470c5493aa7802ef2a4d139e8241a14740fe17f82efb091f1b18d02184
+DIST dbutils-3.1.2.tar.gz 95869 BLAKE2B 35fec78245f57f7e140af9717ac194318ee7e8ec51fd7a34b925c0fdad1fa53ceb671a7d5c9fd6c7cc34d8ed03c39d63965b3f9f6199ddc11c438e6a92fce5c0 SHA512 cb9bdc6cc0cd01ee3c054d1b682e4626a9b5a138bfbb5334421d10e9666c33183f51c8c8cb0c00e296dff730ef2180fcf2d544caf03505882176271b30ffb5ab
diff --git a/dev-python/dbutils/dbutils-3.1.0.ebuild b/dev-python/dbutils/dbutils-3.1.2.ebuild
index cc85bdb536f4..a2ed8f6faa9b 100644
--- a/dev-python/dbutils/dbutils-3.1.0.ebuild
+++ b/dev-python/dbutils/dbutils-3.1.2.ebuild
@@ -4,7 +4,6 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
PYPI_PN=DBUtils
PYTHON_COMPAT=( python3_{11..14} )
@@ -21,6 +20,7 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
python_install_all() {
diff --git a/dev-python/dnspython/Manifest b/dev-python/dnspython/Manifest
index a0c89d260fe2..ba9f3b30f502 100644
--- a/dev-python/dnspython/Manifest
+++ b/dev-python/dnspython/Manifest
@@ -1,2 +1,4 @@
DIST dnspython-2.7.0.gh.tar.gz 386890 BLAKE2B 209bbb761cff2e39f86fb94458976766f3cac93e47f2c25294c359c98126aa4670b8157fad6c2bbf67ef250150310b31068690cec43ef148bbaf541873c37f38 SHA512 d73b90a06fa4c731393f719a79ec1339c3f8010b0ef4e58d8aa1aa5e0f2804dff8a79e20d9c9175b41b66bc9cf1712c33f4e2ed14820afc74d988096a42488b5
+DIST dnspython-2.8.0.tar.gz 368251 BLAKE2B 6c1c42c186c9fb5cec2f81d1768a04ead8a6c95a30a588ee6d9696d788aa20c97e5fec93c829b8e2d9eccedfa73097b3d1ff9a436b81c10d473c9fbfa3bcfda7 SHA512 9a67be7d28ea9ff122bec87080fd487964c56344ec242d8c5c544c049244a1cf26bf228d506dbf40d3eefda6be64f6f6ebd80290efee0e7d4880e2a25021eb9a
+DIST dnspython-2.8.0.tar.gz.provenance 9402 BLAKE2B eb2c36c1fc4801dc07bef769ce2669fadf229fa7ab177fbde8817c7e9d1b5256405cc4c79dd04fe67c61ee2f7319352b0e2a53b1165e614647be65f5d74f8697 SHA512 89cb8618a3ecb363be5c0c025882eae6d7094276a33dc7ce16201b017dc1c5ea2e51efd962a84afaa5f1b88e81ba9ea7534fffa05c1a8604a192ff13dcef5ebb
DIST dnspython-2.8.0rc1.gh.tar.gz 410118 BLAKE2B 716f2d801173a72476df15060246da3f7260740768190b0bab4cccb0b40e339ccd50a1ebf5d80333707dfe138cb736db0b8ffc804f3da511abdb7ebfaac6151f SHA512 72bec723f514b0f4d21d1b2a226b5a28392dad5ae7a650ee3d298bd0a029b07fc67d03f228228e3209ae8fdf7d1b7fe143bd492e42f523e4df26c43aea5a1eac
diff --git a/dev-python/dnspython/dnspython-2.8.0.ebuild b/dev-python/dnspython/dnspython-2.8.0.ebuild
new file mode 100644
index 000000000000..c3506a9e7990
--- /dev/null
+++ b/dev-python/dnspython/dnspython-2.8.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/rthalley/dnspython
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="DNS toolkit for Python"
+HOMEPAGE="
+ https://www.dnspython.org/
+ https://github.com/rthalley/dnspython/
+ https://pypi.org/project/dnspython/
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="dnssec examples https quic"
+
+RDEPEND="
+ dnssec? (
+ >=dev-python/cryptography-45[${PYTHON_USEDEP}]
+ )
+ >=dev-python/idna-2.1[${PYTHON_USEDEP}]
+ https? (
+ >=dev-python/httpx-0.26.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-4.1.0[${PYTHON_USEDEP}]
+ )
+ quic? ( >=dev-python/aioquic-0.9.25[${PYTHON_USEDEP}] )
+"
+# note: skipping DoH test deps because they require Internet anyway
+BDEPEND="
+ test? (
+ >=dev-python/cryptography-45[${PYTHON_USEDEP}]
+ >=dev-python/quart-trio-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local -x NO_INTERNET=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.181.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.181.0.ebuild
index 83f75ed3d688..eec43f23a911 100644
--- a/dev-python/google-api-python-client/google-api-python-client-2.181.0.ebuild
+++ b/dev-python/google-api-python-client/google-api-python-client-2.181.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
RDEPEND="
>=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
diff --git a/dev-python/greenlet/greenlet-3.2.4.ebuild b/dev-python/greenlet/greenlet-3.2.4.ebuild
index b3701bf1b18d..c0b59f9296fd 100644
--- a/dev-python/greenlet/greenlet-3.2.4.ebuild
+++ b/dev-python/greenlet/greenlet-3.2.4.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="MIT PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 -hppa ~m68k ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm ~arm64 -hppa ~m68k ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/jsonschema-specifications/Manifest b/dev-python/jsonschema-specifications/Manifest
index 393980c20113..4fb23674ab2e 100644
--- a/dev-python/jsonschema-specifications/Manifest
+++ b/dev-python/jsonschema-specifications/Manifest
@@ -1 +1,3 @@
DIST jsonschema_specifications-2025.4.1.tar.gz 15513 BLAKE2B 90b17b36818895b7cb54615bc9df9f4b068bb14b47b930c91db1c250572cff3f9388b4369c7a776bcf5db8b2cf6a4c213e03f9a4b31c471fd370977352d541af SHA512 e7dbe1e801de993f4863477832dffe0475976fa4ed9a5f2938470da8871f2599f7e99951a6ca2b4315136a13dd184fd0860afebd7163d1924ce27f699319f484
+DIST jsonschema_specifications-2025.9.1.tar.gz 32855 BLAKE2B d691d6bf85631c3a00c49165f24a28f3b1089a1b29a7183b6bdc05808a43199846b048a35c0dad9edd1381cc8ffb90fec526c2e627ad2ae30ca8f9b05ea32757 SHA512 04486de70d0fe5242d4a84006027499978983d7aacdb047711218510a5ffda41d5fa5da4acccb047b472e387ca580f6cb41221fb53207e931cb5bc5b9ad3a623
+DIST jsonschema_specifications-2025.9.1.tar.gz.provenance 9899 BLAKE2B 8270a431f6bcf7b040fb5eaab217d914d9f5ecc6a3bdb44299fb0ac70a64fe155c9f9f57aa4558e28ac98d11739d0d4d34161794e1c82a488fe5a328ede5c1c5 SHA512 3433e2f8d9f7e82ddeb0ae9153ad01f982218b4ca79efca73daf66c5bac7795479750f1e388fe3156036180c6068e6b9d75887098a9d29f7d5ec49e8b3db0077
diff --git a/dev-python/jsonschema-specifications/jsonschema-specifications-2025.9.1.ebuild b/dev-python/jsonschema-specifications/jsonschema-specifications-2025.9.1.ebuild
new file mode 100644
index 000000000000..2991643a506f
--- /dev/null
+++ b/dev-python/jsonschema-specifications/jsonschema-specifications-2025.9.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/python-jsonschema/jsonschema-specifications
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="The JSON Schema meta-schemas and vocabularies, exposed as a Registry"
+HOMEPAGE="
+ https://github.com/python-jsonschema/jsonschema-specifications/
+ https://pypi.org/project/jsonschema-specifications/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/referencing-0.31.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index d12ab8aeaca8..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 56733bbffc48..98b2b0bf8d0b 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_COMPAT=( python3_{11..14} )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index a4bbd921e419..f5d097498587 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -13,4 +13,5 @@ DIST llvm-project-20.1.8.src.tar.xz 147242952 BLAKE2B 7657ac0b26acc5affb1bfc91b9
DIST llvm-project-20.1.8.src.tar.xz.sig 566 BLAKE2B 85beedfcff1195a974fab2c667b9efd4b715b3480c1b44b1b887fe32c69f72aca0d3b8fb276c03b6cc5a866622f669047aeee5ccb976640b4008ccd31dce77a4 SHA512 d74369bdb4d1b82775161ea53c9c5f3a23ce810f4df5ff617123023f9d8ce720e7d6ecc9e17f8ebd39fd9e7a9de79560abdf2ffe73bcb907a43148d43665d619
DIST llvm-project-21.1.0.src.tar.xz 158971856 BLAKE2B ac8c3cc8d2c986abcaa523acc872b01311ec118a738654f9cc53a1d5fdba70ba10cfe829e23f3913557e460403ed6a2df81cb5e9a435c8e1ce08e7ead3511bf0 SHA512 1487dcdc041dd6cdcffa6cc95a565e18a9fce2a73215671e366a9601cecce6c8bf70065df5564de5998d1841c3d8d829a9fbd2cad72e3aab4db279e8885ff446
DIST llvm-project-21.1.0.src.tar.xz.sig 438 BLAKE2B c5731350bc7454867da18887628c0e87bf404589097034c7ddfffbeec277b900bd1fa49daabd41d4f8800a8ab76105bf7e910a99dd970819ab987373d4ed4ed9 SHA512 c3cd0a759e22a24f4307d8747b7986f966f4fa3c413092efc73ccca252476f1b59878dc65b444884515bcce3d3bfab902f585cc1d08e2aeb55aa8e588128aeb6
+DIST llvm-project-645dd324d1b7d028745c2a4045b69e745df2ae6a.tar.gz 247443586 BLAKE2B dd3229c32768e42fd2f311638f1e63f5503fabee3fa414bc3300313b36bbfa062d90900319e4fdbbafae17947537fba699fe5940e1b6553a2d9a716c0ce7b59c SHA512 659dc22e2fd1fd0bced13f941127797dc7703b8d810eeb7a0fc51cf55c274e69e2d6660867c191d5d90615ddee3a1faff7f7cd357ff2eb88d715762be50098c3
DIST llvm-project-d76bb2bb894a4641ed62447327b40a347a6ae883.tar.gz 245754836 BLAKE2B 487e6396f1b381743dfbbd13e8f55728f1f915c042c717433e498127ecdeb4405a67e998059f5eb1f84e851437b805ba9e9c0e390c61092c7ee336a801d6f342 SHA512 42e38f917357918e8d62d8893a1ba34b431cd8aabf924b89e5352013bb8984c10c0b2796fa9a725bab71e52f99216604b75606bde3b795d20082d97d0f7a82ad
diff --git a/dev-python/lit/lit-22.0.0_pre20250907.ebuild b/dev-python/lit/lit-22.0.0_pre20250907.ebuild
new file mode 100644
index 000000000000..fdf920bda34f
--- /dev/null
+++ b/dev-python/lit/lit-22.0.0_pre20250907.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ llvm-core/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 9e0b108526a5..68edbce359d3 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -2,3 +2,4 @@ DIST mkdocs-material-9.6.15.gh.tar.gz 14818385 BLAKE2B 5d2d96489563ac75048776649
DIST mkdocs-material-9.6.16.gh.tar.gz 14916715 BLAKE2B f13d548d74870ce31fa99f6b4d76ee93cf31f67b0f04270bfe1c9e71ff2af5266d33c0015e7fa2f6270f1e1505d22a31917f9394086a2cb0c5dd459e489d2970 SHA512 2e62b54b04f4efff49648829a2da3bb43a7303bca38f3a26094355383ec7f190ae35e273ca37b6f86e6d09697312f0acb90e9963771a5f4d4214fcc0a92e8134
DIST mkdocs-material-9.6.17.gh.tar.gz 14917296 BLAKE2B 27d8d3df60117ef462db61ff3c96f672f3ad890f45532f0d441b34a5f929df26b113839c305a2bd411100de5d2c2fe1f319974ebae7384d09dd17054bd6290a8 SHA512 91cbbaa6ac8087194176c185af34d0a2ae91d690bb959bba2cb4e192efe0e44dc126c15d8508e470ec4583c59e3f0322f69a7c7e08f3594ab7e33d8a7aa0d8c7
DIST mkdocs-material-9.6.18.gh.tar.gz 14920802 BLAKE2B 317527670f494d970661417f45d6c2e9d26e5fc1cb2d90717beb3063740b4bb3620458270d0af6e491d602641a25d262fccc94d0e57e6c592934324f069eb28c SHA512 eb83fbf2342796ea74b2900575e183e9afc776dfc976fbd33cbe31c51344d7310f32c1308b319b057dfdc4569742b0b24acbd1b4761fecd5f5555d958c2d1630
+DIST mkdocs-material-9.6.19.gh.tar.gz 14930257 BLAKE2B 8df423b011628baf45e1fa8ffb100f10185c24dc86dcd15cb65584249426e56f6569c511b97c728780020dd67bb2a88277ee2812c0d56d4665a8480854d8a71c SHA512 a47d28a99992ce94493f6b835814a317a80eafcd31774778c9ab07bff6e96c2ebe30e685106f1cbe476c2b7c48ef94a5b439914c01a1e64a6cd02c884fd5c896
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.6.19.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.6.19.ebuild
new file mode 100644
index 000000000000..b2827a7488c5
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.6.19.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+# bundled icons
+LICENSE+=" Apache-2.0 CC0-1.0 CC-BY-4.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+ # import backrefs only when used (i.e. never)
+ "${FILESDIR}/${PN}-9.6.7-backrefs.patch"
+)
+
+src_prepare() {
+ distutils-r1_src_prepare
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+}
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 8df6db7230dd..8a14c3423b18 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -1,5 +1,7 @@
DIST moto-4.2.14.tar.gz 4933741 BLAKE2B 4c50a808dc8f27cfbcd0ba234d268084ee9a32f36cb5d6af61aacc4ee79f7bf5cf1045147c4642472129eee37bef8bc2c1953d140260d39d7f333ae0f5e5cf95 SHA512 d4079118ed1d2eef9134575e33dc0ed749bff0293d753baa63a630dbb987914b9933445027abdc344bb93fa1d6e483baf8a337a444c9dd055dda50b095ff9937
DIST moto-5.1.10.tar.gz 7087004 BLAKE2B f00161e7df7540c9ff569d8833a4d97d6b702b2209e0ea4550dec05135c215c09c38e907fa93ea202597f3ee7272619cbe0c987fba028d4240d4be1195acab43 SHA512 3d4faefa2b23cebe44be1a43f8993a3cb254e976d65b6cc1fe8fbc3239d41d252504ec166c17283ff1067937de5b6220810dee714d9c3071e12ee216c3211bff
DIST moto-5.1.11.tar.gz 7111584 BLAKE2B 1a44247a2611bdf26f08b48ca4f804a405148be78750394c79af6b984ced5a659da5f63da1a1d0a5cb200e15e895e2e2a63829a6c908d0ceb9b9e4b0db8a4286 SHA512 5d790c43ec55e0d3b55a69b8763f3c23154cbf7d1fa7bbb870ecbce4fe2062c69221881852303688a9a30d8decc619f5de8f5cd8aef780e258597e5ba3edd622
+DIST moto-5.1.12.tar.gz 7185928 BLAKE2B 1215c369631eb4a43aa499de70b17b8eda78743d54d68561b4db18a55a0be5bb71927df31ac18a54aa898faafc6a380fe45765461663cdc65b49d11ca94bf86c SHA512 e0992ca2af9c298f3b31917eda58b83b2a7ba8141ac9c2b440a506525ffd53431fb69290897d358f2d70a57d6cdf82a88966d1872fdc555f0cd6e62ffd683b74
+DIST moto-5.1.12.tar.gz.provenance 9568 BLAKE2B 39d6211c37523ee438679ac0f2ad94fabda5afbd54a4667d234acd95fdce76c0de8198b5993ff451b84d35ebed63281751a9d3dbd704251fc4828d1381f171a0 SHA512 ddfcdebe272d6b74108aabfc80c78375cbbe565258a8d8583bd2a554d27261bf3718919d01592a5566c45fad12a001e5cff8c90f4f169fc2a7c049e3bef4c9ec
DIST moto-5.1.8.tar.gz 7039961 BLAKE2B be2231a13036e2a5c925c7435ebce3adeea6ac03d9806d010d1c067b4e2d008f642a234fb80e082e5053332c6580d130f232ebe0b83d59c55977ea3a38364914 SHA512 fb8ad9ba2ac94a86261e2862d87d9ea632d2275c6cccf7d248ac95db96f615109add8803bf118625c828c7a2615fc6f20bcf682de1e4398f69add5eeb9fe8114
DIST moto-5.1.9.tar.gz 7041662 BLAKE2B 8121c2022e5af70e71b6d4855ca7f964234ef06f14f8b08e80bd3676c26f6e9a06e8f469e610bcf2882b5468d613a17c3108aff3c344c12dc8331a9f9582b87b SHA512 986d41cc9fa875b5ee51723fdd7669b528dacb6136b6ebb3fa72d4efb3bb89f1fbc44aaa06aa154b80d44c87bca2d93cce30ee32c1ab7c3e8d622b53e011167d
diff --git a/dev-python/moto/moto-5.1.12.ebuild b/dev-python/moto/moto-5.1.12.ebuild
new file mode 100644
index 000000000000..bbd0cd5878c5
--- /dev/null
+++ b/dev-python/moto/moto-5.1.12.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/getmoto/moto
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="
+ https://github.com/getmoto/moto/
+ https://pypi.org/project/moto/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-0.93[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.35.47[${PYTHON_USEDEP}]
+ >=dev-python/cfn-lint-0.40.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-35.0.0[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-3.0.0[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-2.10.1[${PYTHON_USEDEP}]
+ dev-python/jsonpath-ng[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.5.0[${PYTHON_USEDEP}]
+ dev-python/pyaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.25.6[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/sshpubkeys[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/antlr4-python3-runtime[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+: "${EPYTEST_TIMEOUT:=180}"
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_dynamodb/test_dynamodb_import_table.py
+ # require joserfc
+ tests/test_apigateway/test_apigateway.py::test_create_authorizer
+ tests/test_apigateway/test_apigateway.py::test_delete_authorizer
+ tests/test_apigateway/test_apigateway.py::test_update_authorizer_configuration
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserDeleter::test_authenticate_with_signed_out_user
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserPoolDuplidateEmails::test_use_existing_email__when_email_is_
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserPoolDuplidateEmails::test_use_existing_email__when_username_
+ tests/test_cognitoidp/test_cognitoidp_replay.py::TestCreateUserPoolWithPredeterminedID::test_different_seed
+ tests/test_cognitoidp/test_cognitoidp_replay.py::TestCreateUserPoolWithPredeterminedID::test_same_seed
+ tests/test_cognitoidp/test_server.py::test_admin_create_user_without_authentication
+ tests/test_cognitoidp/test_server.py::test_associate_software_token
+ tests/test_cognitoidp/test_server.py::test_sign_up_user_without_authentication
+ # require py_partiql_parser
+ tests/test_dynamodb/test_dynamodb_statements.py
+ tests/test_s3/test_s3_select.py
+ # require graphql
+ tests/test_appsync/test_appsync_schema.py
+ # Internet
+ tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_entire_service
+ tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_specific_url
+ tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_wildcard_urls
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ )
+ local EPYTEST_IGNORE=(
+ # require joserfc
+ tests/test_cognitoidp/test_cognitoidp.py
+ )
+
+ if ! tc-has-64bit-time_t; then
+ einfo "time_t is smaller than 64 bits, will skip broken tests"
+ EPYTEST_DESELECT+=(
+ tests/test_acm/test_acm.py::test_request_certificate_with_optional_arguments
+ tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header
+ tests/test_s3/test_server.py::test_s3_server_post_cors_multiple_origins
+ )
+ EPYTEST_IGNORE+=(
+ tests/test_route53domains/test_route53domains_domain.py
+ )
+ fi
+
+ local -x TZ=UTC
+ local -x AWS_DEFAULT_REGION=us-east-1
+
+ epytest -m 'not network and not requires_docker'
+}
diff --git a/dev-python/orderly-set/orderly-set-5.5.0.ebuild b/dev-python/orderly-set/orderly-set-5.5.0.ebuild
index 6d7f39036d99..4500ff8c1da5 100644
--- a/dev-python/orderly-set/orderly-set-5.5.0.ebuild
+++ b/dev-python/orderly-set/orderly-set-5.5.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/pynvim/Manifest b/dev-python/pynvim/Manifest
index 1581b1b8b56f..8e3337bf4589 100644
--- a/dev-python/pynvim/Manifest
+++ b/dev-python/pynvim/Manifest
@@ -1 +1,2 @@
DIST pynvim-0.5.2.gh.tar.gz 61269 BLAKE2B 252c9e38935cfb8558ad0536090942b5dbd582f5164c7172fb85e0fa76ba50f18c6be42831905599e28c6a1c074af7c71d7b35b6a37560a28f7bb8a11fcc7b5b SHA512 3bc07e6e1aec265d9584cb03946a0d72fbd43be498bfcefc35d6b60f23316d1dd0ea812f24d96a0e156bd54918944b3cce6303f9a66b23e61c9a000233aa10eb
+DIST pynvim-0.6.0.gh.tar.gz 63033 BLAKE2B 266ee74fabf89b286dfc9ea3d0036bdee9d3d8a8cc12a71a0c76425d9fbb7591a3d2de77066f4626de14c204c5346aa36ae261b113831bbcfa36b898bce551dc SHA512 2a622de2f2424aa6947fa44f7a345288a7927681ea237708f2ed054960460992a5cba721cb9896643286c906de691ba0c0f15d52739696ab2fb344b26d3f6c3b
diff --git a/dev-python/pynvim/pynvim-0.6.0.ebuild b/dev-python/pynvim/pynvim-0.6.0.ebuild
new file mode 100644
index 000000000000..6707c8ae1f5b
--- /dev/null
+++ b/dev-python/pynvim/pynvim-0.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Neovim"
+HOMEPAGE="
+ https://github.com/neovim/pynvim/
+ https://pypi.org/project/pynvim/
+"
+SRC_URI="
+ https://github.com/neovim/pynvim/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/greenlet-3.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+ ' 3.11)
+"
+BDEPEND="
+ test? (
+ app-editors/neovim
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+: ${EPYTEST_TIMEOUT:=5}
+distutils_enable_tests pytest
diff --git a/dev-python/python-json-logger/Manifest b/dev-python/python-json-logger/Manifest
index 82575ff256af..8a2cc5226004 100644
--- a/dev-python/python-json-logger/Manifest
+++ b/dev-python/python-json-logger/Manifest
@@ -1 +1,2 @@
DIST python_json_logger-3.3.0.tar.gz 16642 BLAKE2B 79f7271815af3a6f29e4f9cfda58b7bae2c08d0aef7a6e5bbab04dedbd8db2973addd40361c58e6a47e0ef765d15f0b0c262f41cf74b2c4e20d08478250d7e00 SHA512 6779464281fd8b7e4171adcf50aedc7f362df62d99bbd1982b5bef657a3a2f1e2191c4aa0f5acd688dd3554af547f5d72e785e493e21dbaa342127c92da5daa5
+DIST python_json_logger-4.0.0rc1.tar.gz 17679 BLAKE2B d5c87ca4612f66851930a69a6b4b8319cc20a40244aa38ced383d5f3a66884cd2dce713bff51eff43473cd31c467df3f98fe9cacd7210a7a1304530f88ef8b5e SHA512 13214dc657bb5afc472e6f53c32fce60c29beb9b0ae003ed0428917b869c123e94df57bcbea4a5b78371a52c71fbf3474109e3b609282c7faf86540d5f1b16f9
diff --git a/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild b/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild
new file mode 100644
index 000000000000..2a84ade0960f
--- /dev/null
+++ b/dev-python/python-json-logger/python-json-logger-4.0.0_rc1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Standard python logging to output log data as json objects"
+HOMEPAGE="
+ https://github.com/madzak/python-json-logger/
+ https://pypi.org/project/python-json-logger/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/tzdata[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/trove-classifiers/trove-classifiers-2025.8.26.11.ebuild b/dev-python/trove-classifiers/trove-classifiers-2025.8.26.11.ebuild
index f83990389da3..152482c94de0 100644
--- a/dev-python/trove-classifiers/trove-classifiers-2025.8.26.11.ebuild
+++ b/dev-python/trove-classifiers/trove-classifiers-2025.8.26.11.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/uv/uv-0.8.6.ebuild b/dev-python/uv/uv-0.8.6.ebuild
index 7c54a2fe66b8..26a0949f81c1 100644
--- a/dev-python/uv/uv-0.8.6.ebuild
+++ b/dev-python/uv/uv-0.8.6.ebuild
@@ -49,7 +49,7 @@ LICENSE+="
# ring crate
LICENSE+=" openssl"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ppc ~ppc64 ~riscv x86"
IUSE="test"
RESTRICT="test"
PROPERTIES="test_network"